Subject: bug#12098: How to trap errors in man?

From: Reuben Thomas <[email-masked]>
Date: Fri, 21 Aug 2020 10:41:52 +0100

On Fri, 21 Aug 2020 at 08:41, Eli Zaretskii <[email-masked]> wrote:

> > From: Stefan Kangas <[email-masked]>
> > Date: Fri, 21 Aug 2020 00:25:45 -0700
> > Cc: Lars Ingebrigtsen <[email-masked]>, Reuben Thomas <[email-masked]>,
> >  [email-masked]
> >
> > > I think adding an option to run man synchronously will address such
> wishes as
> > > https://debbugs.gnu.org/40888
> >
> > Unfortunately the patch here no longer applies but from taking a quick
> > look it shouldn't be too hard to rewrite for anyone so inclined.
>
> Btw, while assessing the speed of running a 'man' command
> synchronously, please be sure to do that with a man page that doesn't
> have its formatted counterpart stored in man/catN.  Most
> implementations of 'man' will store the formatted pages there, and use
> them afterwards, thus avoiding the more expensive formatting command.
> Displaying a pre-formatted man page is almost instantaneous, but
> formatting a large and non-trivial page might be slower.
>

The times quoted earlier in the thread (specifically, 2s for bash(1)) does
not sound like there was a cached version involved, as that's much too slow!

-- 
https://rrt.sc3d.org